--[[
The Icarus Project, Copyright (c) 2005 John Forsythe <chaosmachine@gmail.com> (aka chaosmachine)
Feel free to learn and borrow from this code for non-commercial purposes.
If you use my code in your project, I'd appreciate a credit in your readme file.
]]

-- set up the border

border.x = 18
border.y = 2

border[1] = {x=0,y=0} border[2] = {x=1,y=0} border[3] = {x=2,y=0} border[4] = {x=3,y=0} 
border[5] = {x=4,y=0} border[6] = {x=5,y=0} border[7] = {x=6,y=0} border[8] = {x=0,y=1} 
border[9] = {x=6,y=1} border[10] = {x=0,y=2} border[11] = {x=6,y=2} border[12] = {x=0,y=3} 
border[13] = {x=6,y=3} border[14] = {x=0,y=4} border[15] = {x=1,y=4} border[16] = {x=2,y=4} 
border[17] = {x=3,y=4} border[18] = {x=4,y=4} border[19] = {x=5,y=4} border[20] = {x=6,y=4} 

-- set up the goal area

goal[1] = {x=1,y=1} goal[2] = {x=2,y=1} goal[3] = {x=3,y=1} goal[4] = {x=4,y=1} 
goal[5] = {x=5,y=1} goal[6] = {x=1,y=2} goal[7] = {x=2,y=2} goal[8] = {x=3,y=2} 
goal[9] = {x=4,y=2} goal[10] = {x=5,y=2} goal[11] = {x=1,y=3} goal[12] = {x=2,y=3} 
goal[13] = {x=3,y=3} goal[14] = {x=4,y=3} goal[15] = {x=5,y=3} 

-- set up the pieces

i=1
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=3,y=5}

piece[i].x = 18
piece[i].y = 9
piece[i].style = 2

i=2
piece[i] = {}

piece[i][1] = {x=3,y=2}
piece[i][2] = {x=3,y=3}
piece[i][3] = {x=4,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=3,y=5}

piece[i].x = 14
piece[i].y = 9
piece[i].style = 3

i=3
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=4,y=2}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=3,y=4}

piece[i].x = 21
piece[i].y = 10
piece[i].style = 1