--[[
The Icarus Project, Copyright (c) 2005 John Forsythe <chaosmachine@gmail.com> (aka chaosmachine)
Feel free to learn and borrow from this code for non-commercial purposes.
If you use my code in your project, I'd appreciate a credit in your readme file.
]]

-- set up the border

border.x = 7
border.y = 5

border[1] = {x=0,y=0} border[2] = {x=1,y=0} border[3] = {x=2,y=0} border[4] = {x=3,y=0} 
border[5] = {x=4,y=0} border[6] = {x=5,y=0} border[7] = {x=6,y=0} border[8] = {x=7,y=0} 
border[9] = {x=8,y=0} border[10] = {x=9,y=0} border[11] = {x=10,y=0} border[12] = {x=11,y=0} 
border[13] = {x=12,y=0} border[14] = {x=13,y=0} border[15] = {x=14,y=0} border[16] = {x=15,y=0} 
border[17] = {x=0,y=1} border[18] = {x=3,y=1} border[19] = {x=15,y=1} border[20] = {x=0,y=2} 
border[21] = {x=15,y=2} border[22] = {x=0,y=3} border[23] = {x=15,y=3} border[24] = {x=0,y=4} 
border[25] = {x=12,y=4} border[26] = {x=15,y=4} border[27] = {x=0,y=5} border[28] = {x=1,y=5} 
border[29] = {x=2,y=5} border[30] = {x=3,y=5} border[31] = {x=4,y=5} border[32] = {x=5,y=5} 
border[33] = {x=6,y=5} border[34] = {x=7,y=5} border[35] = {x=8,y=5} border[36] = {x=9,y=5} 
border[37] = {x=10,y=5} border[38] = {x=11,y=5} border[39] = {x=12,y=5} border[40] = {x=13,y=5} 
border[41] = {x=14,y=5} border[42] = {x=15,y=5} 



-- set up the goal area

goal[1] = {x=1,y=1} goal[2] = {x=2,y=1} goal[3] = {x=4,y=1} goal[4] = {x=5,y=1} 
goal[5] = {x=6,y=1} goal[6] = {x=7,y=1} goal[7] = {x=8,y=1} goal[8] = {x=9,y=1} 
goal[9] = {x=10,y=1} goal[10] = {x=11,y=1} goal[11] = {x=12,y=1} goal[12] = {x=13,y=1} 
goal[13] = {x=14,y=1} goal[14] = {x=1,y=2} goal[15] = {x=2,y=2} goal[16] = {x=3,y=2} 
goal[17] = {x=4,y=2} goal[18] = {x=5,y=2} goal[19] = {x=6,y=2} goal[20] = {x=7,y=2} 
goal[21] = {x=8,y=2} goal[22] = {x=9,y=2} goal[23] = {x=10,y=2} goal[24] = {x=11,y=2} 
goal[25] = {x=12,y=2} goal[26] = {x=13,y=2} goal[27] = {x=14,y=2} goal[28] = {x=1,y=3} 
goal[29] = {x=2,y=3} goal[30] = {x=3,y=3} goal[31] = {x=4,y=3} goal[32] = {x=5,y=3} 
goal[33] = {x=6,y=3} goal[34] = {x=7,y=3} goal[35] = {x=8,y=3} goal[36] = {x=9,y=3} 
goal[37] = {x=10,y=3} goal[38] = {x=11,y=3} goal[39] = {x=12,y=3} goal[40] = {x=13,y=3} 
goal[41] = {x=14,y=3} goal[42] = {x=1,y=4} goal[43] = {x=2,y=4} goal[44] = {x=3,y=4} 
goal[45] = {x=4,y=4} goal[46] = {x=5,y=4} goal[47] = {x=6,y=4} goal[48] = {x=7,y=4} 
goal[49] = {x=8,y=4} goal[50] = {x=9,y=4} goal[51] = {x=10,y=4} goal[52] = {x=11,y=4} 
goal[53] = {x=13,y=4} goal[54] = {x=14,y=4} 


-- set up the pieces

i=1
piece[i] = {}

piece[i][1] = {x=3,y=2}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=3,y=4}

piece[i].x = 18
piece[i].y = 11
piece[i].style = 2

i=2
piece[i] = {}

piece[i][1] = {x=4,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=3,y=5}

piece[i].x = -3
piece[i].y = -1
piece[i].style = 3

i=3
piece[i] = {}

piece[i][1] = {x=2,y=3}
piece[i][2] = {x=3,y=3}
piece[i][3] = {x=3,y=4}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=5,y=3}

piece[i].x = 14
piece[i].y = -2
piece[i].style = 0

i=4
piece[i] = {}

piece[i][1] = {x=4,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=2,y=4}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=3,y=2}

piece[i].x = 11
piece[i].y = 11
piece[i].style = 1

i=5
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=4,y=4}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=4,y=3}

piece[i].x = 9
piece[i].y = -2
piece[i].style = 2

i=6
piece[i] = {}

piece[i][1] = {x=4,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=2}
piece[i][5] = {x=2,y=2}

piece[i].x = 25
piece[i].y = -1
piece[i].style = 1

i=7
piece[i] = {}

piece[i][1] = {x=5,y=3}
piece[i][2] = {x=4,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=2,y=4}

piece[i].x = 2
piece[i].y = -2
piece[i].style = 1

i=8
piece[i] = {}

piece[i][1] = {x=2,y=3}
piece[i][2] = {x=2,y=2}
piece[i][3] = {x=3,y=4}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=4,y=4}

piece[i].x = -2
piece[i].y = 11
piece[i].style = 2

i=9
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=2}
piece[i][5] = {x=4,y=3}

piece[i].x = 25
piece[i].y = 11
piece[i].style = 3

i=10
piece[i] = {}

piece[i][1] = {x=4,y=2}
piece[i][2] = {x=4,y=3}
piece[i][3] = {x=4,y=4}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=2,y=4}

piece[i].x = 4
piece[i].y = 11
piece[i].style = 0

i=11
piece[i] = {}

piece[i][1] = {x=4,y=2}
piece[i][2] = {x=4,y=3}
piece[i][3] = {x=3,y=2}
piece[i][4] = {x=3,y=3}

piece[i].x = 20
piece[i].y = -1
piece[i].style = 3

