--[[
The Icarus Project, Copyright (c) 2005 John Forsythe <chaosmachine@gmail.com> (aka chaosmachine)
Feel free to learn and borrow from this code for non-commercial purposes.
If you use my code in your project, I'd appreciate a credit in your readme file.
]]

-- set up the border

border.x = 10
border.y = 3

yOffset = 1

border[1] = {x=0,y=0} border[2] = {x=1,y=0} border[3] = {x=2,y=0} border[4] = {x=3,y=0} 
border[5] = {x=4,y=0} border[6] = {x=5,y=0} border[7] = {x=6,y=0} border[8] = {x=7,y=0} 
border[9] = {x=8,y=0} border[10] = {x=9,y=0} border[11] = {x=0,y=1} border[12] = {x=9,y=1} 
border[13] = {x=0,y=2} border[14] = {x=9,y=2} border[15] = {x=0,y=3} border[16] = {x=9,y=3} 
border[17] = {x=0,y=4} border[18] = {x=9,y=4} border[19] = {x=0,y=5} border[20] = {x=9,y=5} 
border[21] = {x=0,y=6} border[22] = {x=9,y=6} border[23] = {x=0,y=7} border[24] = {x=9,y=7} 
border[25] = {x=0,y=8} border[26] = {x=9,y=8} border[27] = {x=0,y=9} border[28] = {x=1,y=9} 
border[29] = {x=2,y=9} border[30] = {x=3,y=9} border[31] = {x=4,y=9} border[32] = {x=5,y=9} 
border[33] = {x=6,y=9} border[34] = {x=7,y=9} border[35] = {x=8,y=9} border[36] = {x=9,y=9} 




-- set up the goal area

goal[1] = {x=1,y=1} goal[2] = {x=2,y=1} goal[3] = {x=3,y=1} goal[4] = {x=4,y=1} 
goal[5] = {x=5,y=1} goal[6] = {x=6,y=1} goal[7] = {x=7,y=1} goal[8] = {x=8,y=1} 
goal[9] = {x=1,y=2} goal[10] = {x=2,y=2} goal[11] = {x=3,y=2} goal[12] = {x=4,y=2} 
goal[13] = {x=5,y=2} goal[14] = {x=6,y=2} goal[15] = {x=7,y=2} goal[16] = {x=8,y=2} 
goal[17] = {x=1,y=3} goal[18] = {x=2,y=3} goal[19] = {x=3,y=3} goal[20] = {x=4,y=3} 
goal[21] = {x=5,y=3} goal[22] = {x=6,y=3} goal[23] = {x=7,y=3} goal[24] = {x=8,y=3} 
goal[25] = {x=1,y=4} goal[26] = {x=2,y=4} goal[27] = {x=3,y=4} goal[28] = {x=4,y=4} 
goal[29] = {x=5,y=4} goal[30] = {x=6,y=4} goal[31] = {x=7,y=4} goal[32] = {x=8,y=4} 
goal[33] = {x=1,y=5} goal[34] = {x=2,y=5} goal[35] = {x=3,y=5} goal[36] = {x=4,y=5} 
goal[37] = {x=5,y=5} goal[38] = {x=6,y=5} goal[39] = {x=7,y=5} goal[40] = {x=8,y=5} 
goal[41] = {x=1,y=6} goal[42] = {x=2,y=6} goal[43] = {x=3,y=6} goal[44] = {x=4,y=6} 
goal[45] = {x=5,y=6} goal[46] = {x=6,y=6} goal[47] = {x=7,y=6} goal[48] = {x=8,y=6} 
goal[49] = {x=1,y=7} goal[50] = {x=2,y=7} goal[51] = {x=3,y=7} goal[52] = {x=4,y=7} 
goal[53] = {x=5,y=7} goal[54] = {x=6,y=7} goal[55] = {x=7,y=7} goal[56] = {x=8,y=7} 
goal[57] = {x=1,y=8} goal[58] = {x=2,y=8} goal[59] = {x=3,y=8} goal[60] = {x=4,y=8} 
goal[61] = {x=5,y=8} goal[62] = {x=6,y=8} goal[63] = {x=7,y=8} goal[64] = {x=8,y=8} 




-- set up the pieces

i=1
piece[i] = {}

piece[i][1] = {x=3,y=1}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=3,y=5}

piece[i].x = 2
piece[i].y = 2
piece[i].style = 3

i=2
piece[i] = {}

piece[i][1] = {x=3,y=2}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=3,y=4}

piece[i].x = 20
piece[i].y = 2
piece[i].style = 2

i=3
piece[i] = {}

piece[i][1] = {x=4,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=2}
piece[i][5] = {x=3,y=1}

piece[i].x = 2
piece[i].y = 8
piece[i].style = 1

i=4
piece[i] = {}

piece[i][1] = {x=3,y=2}
piece[i][2] = {x=3,y=3}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=3,y=5}

piece[i].x = 21
piece[i].y = 4
piece[i].style = 2

i=5
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=2,y=2}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=4,y=3}

piece[i].x = 19
piece[i].y = 8
piece[i].style = 0

i=6
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=4,y=3}

piece[i].x = 4
piece[i].y = 0
piece[i].style = 1

i=7
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=4,y=4}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=4,y=3}

piece[i].x = 20
piece[i].y = 0
piece[i].style = 1

i=8
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=4,y=2}

piece[i].x = 4
piece[i].y = 2
piece[i].style = 3

i=9
piece[i] = {}

piece[i][1] = {x=3,y=1}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=4,y=4}

piece[i].x = 18
piece[i].y = 3
piece[i].style = 1

i=10
piece[i] = {}

piece[i][1] = {x=4,y=3}
piece[i][2] = {x=4,y=4}
piece[i][3] = {x=3,y=2}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=2,y=2}

piece[i].x = 3
piece[i].y = 6
piece[i].style = 0

i=11
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=3,y=4}

piece[i].x = 4
piece[i].y = 8
piece[i].style = 2

i=12
piece[i] = {}

piece[i][1] = {x=4,y=2}
piece[i][2] = {x=4,y=3}
piece[i][3] = {x=4,y=4}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=2,y=4}

piece[i].x = 20
piece[i].y = 8
piece[i].style = 0

i=13
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=3}

piece[i].x = 20
piece[i].y = 7
piece[i].style = 3